Debian Bug report logs - #693467
gmp: Adding arm64 support

version graph

Package: gmp; Maintainer for gmp is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Fri, 16 Nov 2012 19:21:01 UTC

Severity: wishlist

Tags: patch

Found in version 5.0.5+dfsg-2

Fixed in version gmp/2:5.1.1+dfsg-1

Done: smr@debian.org (Steve M. Robbins)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#693467; Package gmp. (Fri, 16 Nov 2012 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Nov 2012 19:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gmp: Adding arm64 support
Date: Fri, 16 Nov 2012 19:17:34 +0000
[Message part 1 (text/plain, inline)]
Package: gmp
Version: 5.0.5+dfsg-2
Severity: wishlist
Tags: patch
User: debian-arm@lists.debian.org

gmp needs a trivial patch to build for arm64

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[gmp-5.0.5+dfsg-2-arm64support.patch (text/x-diff, attachment)]

Reply sent to smr@debian.org (Steve M. Robbins):
You have taken responsibility. (Wed, 20 Feb 2013 02:51:04 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Wed, 20 Feb 2013 02:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 693467-close@bugs.debian.org (full text, mbox):

From: smr@debian.org (Steve M. Robbins)
To: 693467-close@bugs.debian.org
Subject: Bug#693467: fixed in gmp 2:5.1.1+dfsg-1
Date: Wed, 20 Feb 2013 02:47:42 +0000
Source: gmp
Source-Version: 2:5.1.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
gmp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693467@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve M. Robbins <smr@debian.org> (supplier of updated gmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Feb 2013 18:01:16 -0600
Source: gmp
Binary: libgmp10 libgmpxx4ldbl libgmp-dev lib32gmp10 lib32gmpxx4 lib32gmp-dev lib64gmp10 lib64gmpxx4 lib64gmp-dev libgmp10-doc libgmp3-dev
Architecture: source all amd64
Version: 2:5.1.1+dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 lib32gmp-dev - Multiprecision arithmetic library developers tools (32bit)
 lib32gmp10 - Multiprecision arithmetic library (32bit)
 lib32gmpxx4 - Multiprecision arithmetic library (C++ bindings, 32bit)
 lib64gmp-dev - Multiprecision arithmetic library developers tools (64bit)
 lib64gmp10 - Multiprecision arithmetic library (64bit library)
 lib64gmpxx4 - Multiprecision arithmetic library (C++ bindings, 64bit)
 libgmp-dev - Multiprecision arithmetic library developers tools
 libgmp10   - Multiprecision arithmetic library
 libgmp10-doc - Multiprecision arithmetic library example code
 libgmp3-dev - Multiprecision arithmetic library developers tools
 libgmpxx4ldbl - Multiprecision arithmetic library (C++ bindings)
Closes: 693467 698000
Changes: 
 gmp (2:5.1.1+dfsg-1) experimental; urgency=low
 .
   * New upstream.
     - added support for x32.  Closes: #698000.
 .
   * fix-gmp.sh: Add support for __aarch64__ (closes: #693467).
Checksums-Sha1: 
 a5737bfc9172c5dddce42b36832ae5b0e8b0281a 1852 gmp_5.1.1+dfsg-1.dsc
 e7d9bc72587a5d0578d3d5cc640caa51829f121a 3101772 gmp_5.1.1+dfsg.orig.tar.gz
 96d23b6157007c344ceb2ba8116799b01b32247f 18291 gmp_5.1.1+dfsg-1.diff.gz
 5dc44c9ca413a8ea25259b14df4880b5c3196d3a 173476 libgmp10-doc_5.1.1+dfsg-1_all.deb
 fe7243f0a418248875bbe638d20afb0144bc5e72 272282 libgmp10_5.1.1+dfsg-1_amd64.deb
 783681c82568a3378ed4b4b2d17af3a58a1391b0 22898 libgmpxx4ldbl_5.1.1+dfsg-1_amd64.deb
 39819769a9d8a982c2fbe57fd42cc9720039e416 668904 libgmp-dev_5.1.1+dfsg-1_amd64.deb
 19dfb405e61bc6db63ae62bf41e5b0a3abf02dba 256000 lib32gmp10_5.1.1+dfsg-1_amd64.deb
 5bf8a2a7d0442fb3ee6a7a19a131679fa7c51fa2 22568 lib32gmpxx4_5.1.1+dfsg-1_amd64.deb
 be9d0d7cc899bafd5d49ca6b84f6c99d94038300 325338 lib32gmp-dev_5.1.1+dfsg-1_amd64.deb
 0115288d184a681f5d253dd377c683009fc39177 13788 libgmp3-dev_5.1.1+dfsg-1_amd64.deb
Checksums-Sha256: 
 8ca35c72c5d5866db9c60b919f804484ec9139f69578f4448d7ee502631df1b0 1852 gmp_5.1.1+dfsg-1.dsc
 c6082e36ce6d23df01f0ed9d46c1775944ec8b0844694608ba875e19cd5c4f47 3101772 gmp_5.1.1+dfsg.orig.tar.gz
 dec332ac7391aff2ac48ea0677781cb91e730c4d3ba9047ade9ccd530138fcd5 18291 gmp_5.1.1+dfsg-1.diff.gz
 b305bb643994e7fb7aedf98c4f502c1b2405eb207272021d9ebf1dc4f105be95 173476 libgmp10-doc_5.1.1+dfsg-1_all.deb
 ab0bd94097541216e9827e96baa7e1d5083bedb1cde564b91500586659379bdb 272282 libgmp10_5.1.1+dfsg-1_amd64.deb
 dcd9edb7ac9d24ff4003e7ff6ca476fcc1e11b4859fa3397a442aa15ec8a45dc 22898 libgmpxx4ldbl_5.1.1+dfsg-1_amd64.deb
 6ddd3d79a4e6613e7b6e49038b9709f6f70e8f7e1316b4a90ada1bf4ab37e9c1 668904 libgmp-dev_5.1.1+dfsg-1_amd64.deb
 de87fda5d545226f5c88d5538164185c241d0414cc3aabb0d0f7d8e61de971b1 256000 lib32gmp10_5.1.1+dfsg-1_amd64.deb
 5f6831069ab5d188f6e7c3502a064c7982c6ab0d1e6bbd6729b17004dc3717cc 22568 lib32gmpxx4_5.1.1+dfsg-1_amd64.deb
 df01f77151cd7a8bee2417c1e677f6218bd07153cd6b6f973970238e7dd0b09b 325338 lib32gmp-dev_5.1.1+dfsg-1_amd64.deb
 095faed7f7e116f91287b22a0bda1d161243d5c67384356b9656a70631aab712 13788 libgmp3-dev_5.1.1+dfsg-1_amd64.deb
Files: 
 e4e841efdf99048681bfcdf03f148c91 1852 libs optional gmp_5.1.1+dfsg-1.dsc
 e242302c8c85a95d0273365ebf2c60f3 3101772 libs optional gmp_5.1.1+dfsg.orig.tar.gz
 77cc9cca4f1f5b595205afd1c60eb4ad 18291 libs optional gmp_5.1.1+dfsg-1.diff.gz
 a1a0b7b45e9eeb2e8905e01e7a342334 173476 doc optional libgmp10-doc_5.1.1+dfsg-1_all.deb
 d0c8a97131e7e88f5990de054ce663f7 272282 libs optional libgmp10_5.1.1+dfsg-1_amd64.deb
 d73377d55dbd053070b3c2bdefb67c7e 22898 libs optional libgmpxx4ldbl_5.1.1+dfsg-1_amd64.deb
 9a6a9058c2e0132e55ccc27ea85bfa68 668904 libdevel optional libgmp-dev_5.1.1+dfsg-1_amd64.deb
 2d72557c0c853c88966241576b88f745 256000 libs optional lib32gmp10_5.1.1+dfsg-1_amd64.deb
 22e21efbc7d7e4be5c50474543b84fbc 22568 libs optional lib32gmpxx4_5.1.1+dfsg-1_amd64.deb
 af8725ebe4f9a1710d6e07aebc965891 325338 libdevel optional lib32gmp-dev_5.1.1+dfsg-1_amd64.deb
 6091598570315df6188605469f8f784f 13788 libdevel optional libgmp3-dev_5.1.1+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRJA6H0i2bPSHbMcURAq8PAKCuASuKJge6QcKFrGRwmW0Zl8u2AgCeMqMZ
ENwetqNf8O0bg7kQfrPr5gw=
=j/s2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Mar 2013 07:26:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:36:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.